Foreman - Bug #7020

Template: PGError: when comments in "audit comment” exceeds 255 characters
08/11/2014 10:17 AM - Ori Rabin

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: Audit Log
Target version: 1.6.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1121536 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1681
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1121536
Description of problem:
while creating a template, | filled the audit comments with more than 255 characters and Ul raised following error.

Error

PGError: ERROR: value too long for type character varying(255) : INSERT INTO "audits" ("action", "associated_id",
"associated_name", "associated_type", "auditable_id", "auditable_name", "auditable_type", "audited_changes", "comment",
"created_at", "remote_address", "user_id", "user_type", "username”, "version") VALUES ($1, $2, $3, $4, $5, $6, $7, $8, $9, $10, $11,

$12, $13, $14, $15) RETURNING "id"

Version-Release number of selected component (if applicable):
sat6 GA snap1

How reproducible:
always

Steps to Reproduce:
1. while creating a New template fill the audit comments with more than 255 char.

Actual results:

PGError: ERROR: value too long for type character varying(255) : INSERT INTO "audits" ("action", "associated_id",
"associated_name", "associated_type", "auditable_id", "auditable_name", "auditable_type", "audited_changes", "comment",
"created_at", "remote_address", "user_id", "user_type", "username”, "version") VALUES ($1, $2, $3, $4, $5, $6, $7, $8, $9, $10, $11,

$12, $13, $14, $15) RETURNING "id"

Expected results:
A proper validation error should be raised

Additional info:
production.log:

Processing by ConfigTemplatesController#create as */*

Parameters: {"utf8"=>"Ll", "search"=>"", "authenticity_token"=>"CLZgGQh3Z80gTOE6iG1eaDPvDAf4ISpF73pxHLoz0K4=",
"config_template"=>{"name"=>"testtemp", "template"=>"test",
"audit_comment"=>"0jJELjrEfavakKHSkSDTncoigjwik12345yyteyNSBmqgcshsFINcAsGExwaye TXjFOQmMXTuVNWCotNUBMbiJmDKts
PtLnXqYJSjTUyNIISNAAucqVKKXGFrViwyGLTRnggBaLuGskexxWKYHTLHALFMEXTmRLIGZgvkTGGmMgGEKpGwzEOerEAbVJWB
LaKytzydTwJclQOUdBxowgKglUSJKZkYHwUzkPWGjQMkpdpadzBctjviBMDmpfPYurKybz1", "snippet"=>"0",
"template_kind_id"=>"1", "operatingsystem_ids"=>["", "", ", "]}, "keybinding"=>"Default"}

Operation FAILED: PGError: ERROR: value too long for type character varying(255)

:INSERT INTO "audits" ("action", "associated_id", "associated_name", "associated_type", "auditable_id", "auditable_name",
"auditable_type", "audited_changes", "comment", "created_at", "remote_address", "user_id", "user_type", "username", "version")
VALUES ($1, $2, $3, $4, $5, $6, $7, $8, $9, $10, $11, $12, $13, $14, $15) RETURNING "id"

Rendered common/500.html.erb (7.2ms)

Completed 500 Internal Server Error in 30ms (Views: 7.9ms | ActiveRecord: 2.7ms)
Associated revisions

Revision 37021330 - 09/15/2014 04:55 AM - Ori Rabin

Fixed #7020: Validation instead or error when comments in 'audit comment' exceeds 255 characters

Revision 0c2caea8 - 10/07/2014 07:58 AM - Ori Rabin

Fixed #7020: Validation instead or error when comments in 'audit comment' exceeds 255 characters

(cherry picked from commit 370213303f77037dc508c20d9a16bd5d2a393bb2)

History

#1 - 08/11/2014 10:17 AM - Ori Rabin

- Status changed from New to Assigned

#2 - 08/11/2014 10:19 AM - Dominic Cleal
- Category set to Audit Log

- Target version setto 1.7.5

#3 - 08/14/2014 04:41 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1681 added
- Pull request deleted ()

#4 - 08/20/2014 06:51 AM - Anonymous

- Target version changed from 1.7.5to 1.7.4

#5 - 09/10/2014 07:22 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#6 - 09/15/2014 05:00 AM - Dominic Cleal

- translation missing: en.field_release set to 22

#7 - 09/15/2014 05:03 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 370213303f77037dc508c20d9a16bd5d2a393bb2.
